changeset 12312:71e5fc05336f

xalloc-die-tests: optimize * tests/test-xalloc-die.sh: Reduce number of processes. Signed-off-by: Eric Blake <ebb9@byu.net>
author Eric Blake <ebb9@byu.net>
date Tue, 17 Nov 2009 11:38:42 -0700
parents ac469d255ae6
children 17f04ebac8e3
files ChangeLog tests/test-xalloc-die.sh
diffstat 2 files changed, 8 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2009-11-17  Eric Blake  <ebb9@byu.net>
+
+	xalloc-die-tests: optimize
+	* tests/test-xalloc-die.sh: Reduce number of processes.
+
 2009-11-17  Simon Josefsson  <simon@josefsson.org>
 
 	* gnulib-tool: Support LGPLv3+ licenses in module files.  Tiny
--- a/tests/test-xalloc-die.sh
+++ b/tests/test-xalloc-die.sh
@@ -30,7 +30,7 @@
 
 tmpout=t-xalloc-die.tmp-stderr
 tmperr=t-xalloc-die.tmp-stdout
-tmpfiles="$tmpout $tmperr ${tmpout}2 ${tmperr}2"
+tmpfiles="$tmpout $tmperr ${tmperr}2"
 
 PATH=".:$PATH"
 export PATH
@@ -40,15 +40,13 @@
   *) (exit 1); exit 1 ;;
 esac
 
-cat $tmperr | tr -d '\015' > ${tmperr}2
-cat $tmpout | tr -d '\015' > ${tmpout}2
+tr -d '\015' < $tmperr > ${tmperr}2 || { (exit 1); exit 1; }
 
 compare - ${tmperr}2 <<\EOF || { (exit 1); exit 1; }
 test-xalloc-die: memory exhausted
 EOF
 
-compare - ${tmpout}2 <<\EOF || { (exit 1); exit 1; }
-EOF
+test -s $tmpout && { (exit 1); exit 1; }
 
 rm -fr $tmpfiles